org.ajax4jsf.javascript

## Class JSFunctionDefinition

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSFunctionDefinition

- All Implemented Interfaces:
    ScriptString
  Direct Known Subclasses:
    ValidatorScriptBase

      public class JSFunctionDefinition
      extends ScriptStringBase
      implements ScriptString

  Version:
    $Revision: 1.1.2.2 $ $Date: 2007/01/24 13:22:31 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSFunctionDefinition(Object... params)` Construct `JSFunctionDefinition` with arbitrary list of params

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(Object param)`
    `JSFunctionDefinition` | `addToBody(Object body)`
    `protected void` | `appendBody(Appendable target)`
    `protected void` | `appendFunctionName(Appendable target)`
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`
    `String` | `getName()`
    `void` | `setName(String name)`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### JSFunctionDefinition

          public JSFunctionDefinition(Object... params)

      Construct `JSFunctionDefinition` with arbitrary list of params
      Parameters:
        `params` -

  - ### Method Detail

    - #### addParameter

          public void addParameter(Object param)

    - #### addToBody

          public JSFunctionDefinition addToBody(Object body)

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Specified by:
        `appendScript` in interface `ScriptString`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### appendFunctionName

          protected void appendFunctionName(Appendable target)
                                     throws IOException

      Throws:
        `IOException`

    - #### appendBody

          protected void appendBody(Appendable target)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.